curl --request POST \
--url https://api.questra.ai/files/{id}/complete-upload \
--header 'Authorization: Bearer <token>' \
--header 'X-Org-Id: <x-org-id>'{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"mime_type": "<string>",
"org_id": "<string>",
"survey_id": "<string>",
"ai_file_id": "<string>"
}Finalizes a file upload started with POST /files/create-upload. Call this after you have successfully PUT the file to the presigned URL. Questra verifies the file exists in storage and marks the record as uploaded.
curl --request POST \
--url https://api.questra.ai/files/{id}/complete-upload \
--header 'Authorization: Bearer <token>' \
--header 'X-Org-Id: <x-org-id>'{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"mime_type": "<string>",
"org_id": "<string>",
"survey_id": "<string>",
"ai_file_id": "<string>"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
File ID returned by POST /files/create-upload
Unique ID of the uploaded file
Date and time the file was uploaded
Original name of the uploaded file
Mime type of the file
Unique ID of the organization that owns this file
Unique ID of the survey the file was uploaded with
Unique ID of an AI ready copy of the file that was generated and cached to expedite AI processing